/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global'],function(q){"use strict";var C={};C.render=function(r,c){var a=r;var b=sap.ui.getCore().getConfiguration().getAccessibility();var i=c.getId();a.write("<div");a.writeControlData(c);a.addClass("sapUiCltBase");if(this.addRootClasses){this.addRootClasses(a,c);}a.writeClasses();if(b){a.writeAttribute("role","dialog");var A=c.oRb.getText('CALLOUT_ARIA_NAME');if(A){a.writeAttributeEscaped("aria-label",A);}}if(c.getTooltip_AsString()){a.writeAttributeEscaped("title",c.getTooltip_AsString());}a.addStyle("display","none");a.writeStyles();a.write(">");a.write("<span id=\""+i+"-fhfe\" tabIndex=\"0\"></span>");a.write("<div");a.writeAttribute("id",i+"-cont");a.addClass("sapUiCltBaseCont");if(this.addContentClasses){this.addContentClasses(a,c);}a.writeClasses();a.writeAttribute("tabindex","-1");a.write(">");if(this.renderContent){this.renderContent(a,c);}a.write("</div>");a.write("<div");a.writeAttribute("id",i+"-arrow");if(b){a.writeAttribute("role","presentation");}a.addClass("sapUiCltBaseArr");if(this.addArrowClasses){this.addArrowClasses(a,c);}a.writeClasses();a.write("></div>");a.write("<span id=\""+i+"-fhee\" tabIndex=\"0\"></span>");a.write("</div>");};return C;},true);
